#ifndef _BBCBILLBOARDCLOUDGENERATOR_H
#define _BBCBILLBOARDCLOUDGENERATOR_H

#include <BBCUtil.h>
#include <BBCEntity.h>
#include <BBCEntityDistribution.h>
#include <BBCBillboardCloud.h>

namespace BBC {

class _BBCExport BillboardCloudGenerator {
  public:

    BillboardCloudGenerator();

	virtual ~BillboardCloudGenerator();

    void generate();

	void init();

	void setMaxNumBillboards(unsigned int value);

	unsigned int getMaxNumBillboards();

	void setDistribution(EntityDistribution *value); 

	EntityDistribution* getDistribution(); 

	void setBillboardCloud(BillboardCloud *value);

	BillboardCloud* getBillboardCloud();

  protected:

    unsigned int mMaxNumBillboards;

	EntityDistribution *mEntityDistribution;

	BillboardCloud *mBillboardCloud;
};

}
#endif
